Add dependencies for tldk jjb 57/3557/3
authorKarol Latecki <karolx.latecki@intel.com>
Tue, 25 Oct 2016 08:07:48 +0000 (10:07 +0200)
committerKarol Latecki <karolx.latecki@intel.com>
Tue, 25 Oct 2016 08:40:24 +0000 (10:40 +0200)
tldk needs googletest to compile and run its unit test application

Change-Id: I73b666114dbcde88fc8a25daf14dfdf3c1661fc5
Signed-off-by: Karol Latecki <karolx.latecki@intel.com>
jjb/tldk/gtest-build.sh [new file with mode: 0644]
jjb/tldk/include-raw-build.sh
jjb/tldk/tldk.yaml

diff --git a/jjb/tldk/gtest-build.sh b/jjb/tldk/gtest-build.sh
new file mode 100644 (file)
index 0000000..dc66908
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/bash
+# basic build script example
+set -e -o pipefail
+set -x
+echo $WORKSPACE
+git clone https://github.com/google/googletest.git $WORKSPACE/googletest
+cmake $WORKSPACE/googletest/CMakeLists.txt
+echo GTEST_DIR=$WORKSPACE/googletest/googletest > gtest-env.prop
+echo GMOCK_DIR=$WORKSPACE/googletest/googlemock >> gtest-env.prop
+
+echo "*******************************************************************"
+echo "* GTEST BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
index f4ba63b..417a1de 100644 (file)
@@ -28,8 +28,16 @@ fi
 echo "sha1sum of this script: ${0}"
 sha1sum $0
 
+# Make TLDK
 make
 
 echo "*******************************************************************"
 echo "* TLDK BUILD SUCCESSFULLY COMPLETED"
 echo "*******************************************************************"
+
+# Run unit tests application
+$WORKSPACE/x86_64-native-linuxapp-gcc/app/gtest-rfc --lcores=0 -n 2
+
+echo "*******************************************************************"
+echo "* TLDK UNIT TESTS SUCCESSFUL
+echo "*******************************************************************"
index f0ad3fb..cc44a72 100644 (file)
                 notbuilt: true
 
     builders:
+        - shell:
+            !include-raw-escape: gtest-build.sh
+        - inject:
+            properties-file: gtest-env.prop
         - shell:
             !include-raw-escape: include-raw-build.sh
 
             branch: '{branch}'
 
     builders:
+        - shell:
+            !include-raw-escape: gtest-build.sh
+        - inject:
+            properties-file: gtest-env.prop
         - shell:
             !include-raw-escape: include-raw-build.sh